For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notifications

Get system notifications

get
/v1/notifications/state

Returns all current active notifications. Can be subscribed via a WebSocket connection.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Success response

application/json

Notifications object

from_timestring · date-timeOptional

The time from which notifications are sent (including the time point itself). In RFC3339 (section 5.6) format. This value typically comes from request query parameter. If request parameter is missed then only currently active notifications returned and from_time is missed. If too many notifications were requested then the value is set to the end_time of the first returned notification.

Example: 2025-05-05 13:10:00+00:00
to_timestring · date-timeOptional

Current system time up to which notifications were fetched (excluding the time point itself). In RFC3339 (section 5.6) format.

Example: 2025-05-05 13:11:02.582000+00:00
get/v1/notifications/state
GET /api/v1/notifications/state HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success response

{
  "from_time": "2025-05-05 13:10:00+00:00",
  "to_time": "2025-05-05 13:11:02.582000+00:00",
  "notifications": [
    {
      "severity": "Warning",
      "code": 10032,
      "message": "Kite backup battery temperature is too high",
      "begin_time": "2025-05-05 13:10:00.231000+00:00",
      "end_time": "2025-05-05 13:10:30.853000+00:00",
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Get system notifications

get
/v1/notifications/history

Returns system notifications. A notification is a temporary or permanent event that reflects the current system state. This could be an error state, an alert or a simple message. If the request parameter is empty, all currently active notifications will be returned. Every response contains to_time time point. Up to this time point notifications are fetched. An event gets into the response, if the end_time is not set or greater or equal to the to_time. It is recommended to use this point for the next request to not miss any notification and to not request the same notifications multiple times.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Query parameters
from_timestring · date-timeOptional

The time from which notifications will be sent (including the time point itself). In RFC3339 (section 5.6) format. If this parameter is not set then only currently active notifications will be returned.

Example: 2025-05-05 13:10:00+00:00
Responses
200

Success response

application/json

Notifications object

from_timestring · date-timeOptional

The time from which notifications are sent (including the time point itself). In RFC3339 (section 5.6) format. This value typically comes from request query parameter. If request parameter is missed then only currently active notifications returned and from_time is missed. If too many notifications were requested then the value is set to the end_time of the first returned notification.

Example: 2025-05-05 13:10:00+00:00
to_timestring · date-timeOptional

Current system time up to which notifications were fetched (excluding the time point itself). In RFC3339 (section 5.6) format.

Example: 2025-05-05 13:11:02.582000+00:00
get/v1/notifications/history
GET /api/v1/notifications/history HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success response

{
  "from_time": "2025-05-05 13:10:00+00:00",
  "to_time": "2025-05-05 13:11:02.582000+00:00",
  "notifications": [
    {
      "severity": "Warning",
      "code": 10032,
      "message": "Kite backup battery temperature is too high",
      "begin_time": "2025-05-05 13:10:00.231000+00:00",
      "end_time": "2025-05-05 13:10:30.853000+00:00",
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Get notifications dictionary

get
/v1/notifications/dictionary

Returns the notifications dictionary. The dictionary contains all possible notifications that can be sent by the Fotokite system. It is recommended to use this endpoint to get the list of all possible notifications and their texts to display them to the user.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Success response

application/json

Notifications dictionary

codeintegerRequired

Notification code

Example: 10032
severitystring · enumRequired

Notification severity

Example: WarningPossible values:
messagestringRequired

Description message

Example: Ground Station battery temperature problem.
system_reactionstringOptional

System reaction message

Example: The temperature is too high to fly.
instructionsstringOptional

User instructions message

Example: Please unplug the system and wait until it cools down.
get/v1/notifications/dictionary
GET /api/v1/notifications/dictionary HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success response

[
  {
    "code": 10032,
    "severity": "Warning",
    "message": "Ground Station battery temperature problem.",
    "system_reaction": "The temperature is too high to fly.",
    "instructions": "Please unplug the system and wait until it cools down."
  }
]

Last updated